Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbstp.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbstp.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbstp.F90	(revision 10968)
@@ -88,5 +88,5 @@
       IF( nn_verbose_write > 0 .AND. MOD( kt-1 , nn_verbose_write ) == 0 )   ll_verbose = ( nn_verbose_level >= 0 )
       !
-      IF( ll_verbose )   WRITE(numicb,9100) nktberg, ndastp, nsec_day
+      IF( ll_verbose .AND. numicb /= -1)   WRITE(numicb,9100) nktberg, ndastp, nsec_day
  9100 FORMAT('kt= ',i8, ' day= ',i8,' secs=',i8)
       !
@@ -161,7 +161,7 @@
       IF( nn_sample_rate > 0 )   CALL icb_trj_end()
 
-      IF(lwp) WRITE(numout,'(a,i6)') 'icebergs: icb_end complete', narea
+      IF(lwp .AND. nprint > 0) WRITE(numout,'(a,i6)') 'icebergs: icb_end complete', narea
       !
-      IF( nn_verbose_level > 0 ) THEN
+      IF( nn_verbose_level > 0 .AND. numicb /= -1) THEN
          CALL flush( numicb )
          CLOSE( numicb )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbtrj.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbtrj.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbtrj.F90	(revision 10968)
@@ -85,5 +85,5 @@
          &                        TRIM(ADJUSTL(cldate_ini)), TRIM(ADJUSTL(cldate_end))
       ENDIF
-      IF( lwp .AND. nn_verbose_level >= 0 )   WRITE(numout,'(2a)') 'icebergs, icb_trj_init: creating ',TRIM(cl_filename)
+      IF( lwp .AND. nprint > 2 )   WRITE(numout,'(2a)') 'icebergs, icb_trj_init: creating ',TRIM(cl_filename)
 
       iret = NF90_CREATE( TRIM(cl_filename), NF90_CLOBBER, ntrajid )
@@ -248,5 +248,5 @@
          this => this%next
       END DO
-      IF( lwp .AND. nn_verbose_level > 0 )   WRITE(numout,*) 'trajectory write to frame ', jn
+      IF( lwp .AND. nprint > 0 )   WRITE(numout,*) 'trajectory write to frame ', jn
       num_traj = jn
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbutl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbutl.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/ICB/icbutl.F90	(revision 10968)
@@ -647,9 +647,11 @@
       !
       IF (nn_verbose_level == 0) RETURN
-      pt => berg%current_point
-      WRITE(numicb, 9200) kt, berg%number(1), &
+      IF(numicb /= -1) THEN
+         pt => berg%current_point
+         WRITE(numicb, 9200) kt, berg%number(1), &
                    pt%xi, pt%yj, pt%lon, pt%lat, pt%uvel, pt%vvel,  &
                    pt%uo, pt%vo, pt%ua, pt%va, pt%ui, pt%vi
-      CALL flush( numicb )
+         CALL flush( numicb )
+      ENDIF
  9200 FORMAT(5x,i5,2x,i10,6(2x,2f10.4))
       !
@@ -673,8 +675,10 @@
       IF (nn_verbose_level == 0) RETURN
       this => first_berg
-      IF( ASSOCIATED(this) ) THEN
-         WRITE(numicb,'(a," pe=(",i3,")")' ) cd_label, narea
-         WRITE(numicb,'(a8,4x,a6,12x,a5,15x,a7,19x,a3,17x,a5,17x,a5,17x,a5)' )   &
-            &         'timestep', 'number', 'xi,yj','lon,lat','u,v','uo,vo','ua,va','ui,vi'
+      IF(numicb /= -1) THEN
+         IF( ASSOCIATED(this) ) THEN
+            WRITE(numicb,'(a," pe=(",i3,")")' ) cd_label, narea
+            WRITE(numicb,'(a8,4x,a6,12x,a5,15x,a7,19x,a3,17x,a5,17x,a5,17x,a5)' )   &
+               &         'timestep', 'number', 'xi,yj','lon,lat','u,v','uo,vo','ua,va','ui,vi'
+         ENDIF
       ENDIF
       DO WHILE( ASSOCIATED(this) )
@@ -685,5 +689,5 @@
       inbergs = ibergs
       CALL mpp_sum('icbutl', inbergs)
-      IF( ibergs > 0 )   WRITE(numicb,'(a," there are",i5," bergs out of",i6," on PE ",i4)')   &
+      IF( ibergs > 0 .AND. numicb /= -1)   WRITE(numicb,'(a," there are",i5," bergs out of",i6," on PE ",i4)')   &
          &                                  cd_label, ibergs, inbergs, narea
       !
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/iom.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/iom.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/iom.F90	(revision 10968)
@@ -321,5 +321,5 @@
         ENDIF
 !set name of the restart file and enable available fields
-        if(lwp) WRITE(numout,*) 'Setting restart filename (for XIOS) to: ',rst_file
+        if(lwp .AND. nprint > 1) WRITE(numout,*) 'Setting restart filename (for XIOS) to: ',rst_file
         CALL xios_get_handle("file_definition", filegroup_hdl )
         CALL xios_add_child(filegroup_hdl, file_hdl, 'rrestart')
@@ -346,5 +346,5 @@
                         scalar_ref = "grid_scalar", operation = "instant")
                 END SELECT
-                IF(lwp) WRITE(numout,*) 'XIOS read: ', TRIM(rst_rfields(i)%vname), ' enabled in ', TRIM(rst_file)
+                IF(lwp .AND. nprint > 1) WRITE(numout,*) 'XIOS read: ', TRIM(rst_rfields(i)%vname), ' enabled in ', TRIM(rst_file)
            ENDIF
          ENDIF
@@ -537,5 +537,5 @@
 
 !set name of the restart file and enable available fields
-        IF(lwp) WRITE(numout,*) 'Setting restart filename (for XIOS write) to: ',cdrst_file
+        IF(lwp .AND. nprint > 1) WRITE(numout,*) 'Setting restart filename (for XIOS write) to: ',cdrst_file
         CALL xios_get_handle("file_definition", filegroup_hdl )
         CALL xios_add_child(filegroup_hdl, file_hdl, 'wrestart')
@@ -543,9 +543,9 @@
            CALL xios_set_file_attr( "wrestart", type="one_file", enabled=.TRUE.,& 
                                     mode="write", output_freq=xios_timestep) 
-           if(lwp) write(numout,*) 'OPEN ', trim(cdrst_file), ' in one_file mode' 
+           if(lwp .AND. nprint > 1) write(numout,*) 'OPEN ', trim(cdrst_file), ' in one_file mode' 
         ELSE  
            CALL xios_set_file_attr( "wrestart", type="multiple_file", enabled=.TRUE.,& 
                                     mode="write", output_freq=xios_timestep) 
-           if(lwp) write(numout,*) 'OPEN ', trim(cdrst_file), ' in multiple_file mode' 
+           if(lwp .AND. nprint > 1) write(numout,*) 'OPEN ', trim(cdrst_file), ' in multiple_file mode' 
         ENDIF 
         CALL xios_set_file_attr( "wrestart", name=trim(cdrst_file))
@@ -824,5 +824,6 @@
                iom_file(jf)%nfid       = 0          ! free the id 
                IF( PRESENT(kiomid) )   kiomid = 0   ! return 0 as id to specify that the file was closed
-               IF(lwp) WRITE(numout,*) TRIM(clinfo)//' close file: '//TRIM(iom_file(jf)%name)//' ok'
+               IF(lwp  .AND. nprint > 1) &
+                 WRITE(numout,*) TRIM(clinfo)//' close file: '//TRIM(iom_file(jf)%name)//' ok'
             ELSEIF( PRESENT(kiomid) ) THEN
                WRITE(ctmp1,*) '--->',  kiomid
@@ -941,5 +942,5 @@
       ELSE
 #if defined key_iomput
-         IF(lwp) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) 'XIOS RST READ (0D): ', trim(cdvar)
          CALL iom_swap( TRIM(crxios_context) )
          CALL xios_recv_field( trim(cdvar), pvar)
@@ -1266,5 +1267,6 @@
 
             IF( istop == nstop ) THEN   ! no additional errors until this point...
-               IF(lwp) WRITE(numout,"(10x,' read ',a,' (rec: ',i6,') in ',a,' ok')") TRIM(cdvar), itime, TRIM(iom_file(kiomid)%name)
+               IF(lwp .AND. nprint > 1) &
+                  WRITE(numout,"(10x,' read ',a,' (rec: ',i6,') in ',a,' ok')") TRIM(cdvar), itime, TRIM(iom_file(kiomid)%name)
              
                !--- overlap areas and extra hallows (mpp)
@@ -1296,5 +1298,5 @@
          IF( PRESENT(pv_r3d) ) THEN
             pv_r3d(:, :, :) = 0.
-            if(lwp) write(numout,*) 'XIOS RST READ (3D): ',trim(cdvar)
+            if(lwp .AND. nprint > 1) write(numout,*) 'XIOS RST READ (3D): ',trim(cdvar)
             CALL xios_recv_field( trim(cdvar), pv_r3d)
             IF(idom /= jpdom_unknown ) then
@@ -1303,5 +1305,5 @@
          ELSEIF( PRESENT(pv_r2d) ) THEN
             pv_r2d(:, :) = 0.
-            if(lwp) write(numout,*) 'XIOS RST READ (2D): ', trim(cdvar)
+            if(lwp .AND. nprint > 1) write(numout,*) 'XIOS RST READ (2D): ', trim(cdvar)
             CALL xios_recv_field( trim(cdvar), pv_r2d)
             IF(idom /= jpdom_unknown ) THEN
@@ -1310,5 +1312,5 @@
          ELSEIF( PRESENT(pv_r1d) ) THEN
             pv_r1d(:) = 0.
-            if(lwp) write(numout,*) 'XIOS RST READ (1D): ', trim(cdvar)
+            if(lwp .AND. nprint > 1) write(numout,*) 'XIOS RST READ (1D): ', trim(cdvar)
             CALL xios_recv_field( trim(cdvar), pv_r1d)
          ENDIF
@@ -1512,5 +1514,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-          IF(lwp) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
+          IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 0D) ',trim(cdvar)
           CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
@@ -1542,5 +1544,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-         IF(lwp) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
+         IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 1D) ',trim(cdvar)
          CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
@@ -1572,5 +1574,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-         IF(lwp) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
+         IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 2D) ',trim(cdvar)
          CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
@@ -1602,5 +1604,5 @@
 #ifdef key_iomput
       IF( kt == kwrite ) THEN
-         IF(lwp) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
+         IF(lwp .AND. nprint > 1) write(numout,*) 'RESTART: write (XIOS 3D) ',trim(cdvar)
          CALL xios_send_field(trim(cdvar), pvar)
       ENDIF
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/iom_nf90.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/iom_nf90.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/iom_nf90.F90	(revision 10968)
@@ -88,5 +88,5 @@
          !                                       !=========================!
          IF( ldwrt ) THEN  ! ... in write mode
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in WRITE mode'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in WRITE mode'
             IF( snc4set%luse ) THEN
                CALL iom_nf90_check(NF90_OPEN( TRIM(cdname), NF90_WRITE  , if90id ), clinfo)
@@ -96,5 +96,5 @@
             CALL iom_nf90_check(NF90_SET_FILL( if90id, NF90_NOFILL, idmy                          ), clinfo)
          ELSE              ! ... in read mode
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in READ mode'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' open existing file: '//TRIM(cdname)//' in READ mode'
             CALL iom_nf90_check(NF90_OPEN( TRIM(cdname), NF90_NOWRITE, if90id, chunksize = ichunk ), clinfo)
          ENDIF
@@ -107,5 +107,5 @@
                cdname = TRIM(cltmp)
             ENDIF
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' create new file: '//TRIM(cdname)//' in WRITE mode'
 
             IF( llclobber ) THEN   ;   imode = IOR( NF90_64BIT_OFFSET, NF90_CLOBBER   )
@@ -113,5 +113,5 @@
             ENDIF
             IF( snc4set%luse ) THEN
-               IF(lwp) WRITE(numout,*) TRIM(clinfo)//' creating file: '//TRIM(cdname)//' in hdf5 (netcdf4) mode'
+               IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' creating file: '//TRIM(cdname)//' in hdf5 (netcdf4) mode'
                CALL GET_NF90_SYMBOL("NF90_HDF5", ihdf5)
                IF( llclobber ) THEN   ;   imode = IOR(ihdf5, NF90_CLOBBER)
@@ -165,5 +165,5 @@
                &                                       len  = iom_file(kiomid)%lenuld ), clinfo )
          ENDIF
-         IF(lwp) WRITE(numout,*) '                   ---> '//TRIM(cdname)//' OK'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '                   ---> '//TRIM(cdname)//' OK'
       ELSE
          kiomid = 0               ! return error flag
@@ -562,5 +562,5 @@
          ! trick: defined to 0 to say that dimension variables are defined but not yet written
          iom_file(kiomid)%dimsz(1, 1)  = 0   
-         IF(lwp) WRITE(numout,*) TRIM(clinfo)//' define dimension variables done'
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' define dimension variables done'
       ENDIF
       ! define the data if it is not already done
@@ -637,7 +637,7 @@
             CALL iom_nf90_check(SET_NF90_DEF_VAR_CHUNKING(if90id, idvar, ichunkalg, ichunksz), clinfo)
             CALL iom_nf90_check(SET_NF90_DEF_VAR_DEFLATE(if90id, idvar, ishuffle, ideflate, ideflate_level), clinfo)
-            IF(lwp) WRITE(numout,*) TRIM(clinfo)//' chunked ok. Chunks sizes: ', ichunksz
-         ENDIF
-         IF(lwp) WRITE(numout,*) TRIM(clinfo)//' defined ok'
+            IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' chunked ok. Chunks sizes: ', ichunksz
+         ENDIF
+         IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' defined ok'
       ELSE
          idvar = kvid
@@ -685,5 +685,5 @@
                CALL iom_nf90_check( NF90_INQUIRE_DIMENSION( if90id, 3, len = iom_file(kiomid)%dimsz(1,3) ), clinfo )
                iom_file(kiomid)%dimsz(1  , 4) = 1   ! unlimited dimension
-               IF(lwp) WRITE(numout,*) TRIM(clinfo)//' write dimension variables done'
+               IF(lwp .AND. nprint > 1) WRITE(numout,*) TRIM(clinfo)//' write dimension variables done'
             ENDIF
          ENDIF
@@ -703,5 +703,5 @@
          IF( iom_file(kiomid)%luld(idvar) )   iom_file(kiomid)%dimsz(iom_file(kiomid)%ndims(idvar), idvar)    &
                &                            = iom_file(kiomid)%dimsz(iom_file(kiomid)%ndims(idvar), idvar) + 1
-         IF(lwp) WRITE(numout,*) TRIM(clinfo)//' written ok'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) TRIM(clinfo)//' written ok'
       ENDIF
       !     
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/restart.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/restart.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/IOM/restart.F90	(revision 10968)
@@ -95,5 +95,5 @@
             clpath = TRIM(cn_ocerst_outdir)
             IF( clpath(LEN_TRIM(clpath):) /= '/' ) clpath = TRIM(clpath) // '/'
-            IF(lwp) THEN
+            IF(lwp .AND. nprint > 1) THEN
                WRITE(numout,*)
                IF(.NOT.lwxios) THEN
@@ -223,5 +223,5 @@
              crxios_context = 'nemo_rst'
              IF( .NOT.lxios_set ) THEN
-                 IF(lwp) WRITE(numout,*) 'Enable restart reading by XIOS'
+                 IF(lwp .AND. nprint > 0) WRITE(numout,*) 'Enable restart reading by XIOS'
                  CALL iom_init( crxios_context, ld_tmppatch = .false. )
                  lxios_set = .TRUE.
@@ -230,5 +230,5 @@
          IF( TRIM(Agrif_CFixed()) /= '0' .AND. lrxios) THEN
              CALL iom_init( crxios_context, ld_tmppatch = .false. )
-             IF(lwp) WRITE(numout,*) 'Enable restart reading by XIOS for AGRIF'
+             IF(lwp .AND. nprint > 0) WRITE(numout,*) 'Enable restart reading by XIOS for AGRIF'
              lxios_set = .TRUE.
          ENDIF 
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LBC/lib_mpp.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LBC/lib_mpp.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LBC/lib_mpp.F90	(revision 10968)
@@ -322,5 +322,5 @@
       mynode = mpprank
 
-      IF( mynode == 0 ) THEN
+      IF( mynode == 0 .AND. nprint > 2) THEN
          CALL ctl_opn( kumond, TRIM(ldname), 'UNKNOWN', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. , 1 )
          WRITE(kumond, nammpp)      
@@ -1517,5 +1517,5 @@
             crname_dlg(n_sequence_dlg) = cdname     ! keep the name of the calling routine
          ENDIF
-      ELSE IF ( ncom_stp == nit000+2*ncom_freq ) THEN
+      ELSE IF ( ncom_stp == nit000+2*ncom_freq .AND. nprint > 1 ) THEN
          CALL ctl_opn( numcom, 'communication_report.txt', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, numout, .FALSE., narea )
          WRITE(numcom,*) ' '
@@ -1986,5 +1986,5 @@
          &  OPEN(UNIT=knum,FILE='NUL', FORM=cdform, ACCESS=cdacce, STATUS=cdstat                      , ERR=100, IOSTAT=iost )   
       IF( iost == 0 ) THEN
-         IF(ldwp) THEN
+         IF(ldwp .AND. nprint > 2) THEN
             WRITE(kout,*) '     file   : ', TRIM(clfile),' open ok'
             WRITE(kout,*) '     unit   = ', knum
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LBC/mppini.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LBC/mppini.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LBC/mppini.F90	(revision 10968)
@@ -168,5 +168,5 @@
       !!----------------------------------------------------------------------
 
-      llwrtlay = lwp .OR. ln_ctl .OR. sn_cfctl%l_layout
+      llwrtlay = (lwp.AND.nprint>1).OR. ln_ctl .OR. sn_cfctl%l_layout
       ! do we need to take into account bdy_msk?
       REWIND( numnam_ref )              ! Namelist nambdy in reference namelist : BDY
@@ -490,5 +490,5 @@
       ! 5. Subdomain print
       ! ------------------
-      IF(lwp) THEN
+      IF(lwp .AND. nprint > 1) THEN
          ifreq = 4
          il1 = 1
@@ -629,5 +629,5 @@
       !
       nproc = narea-1
-      IF(lwp) THEN
+      IF(lwp .AND. nprint > 0) THEN
          WRITE(numout,*)
          WRITE(numout,*) '   resulting internal parameters : '
@@ -1165,5 +1165,5 @@
       idid(2) = 2
 
-      IF(lwp) THEN
+      IF(lwp .AND. nprint > 0) THEN
           WRITE(numout,*)
           WRITE(numout,*) 'mpp_init_ioipsl :   iloc  = ', iloc (1), iloc (2)
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LDF/ldfdyn.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LDF/ldfdyn.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LDF/ldfdyn.F90	(revision 10968)
@@ -122,5 +122,5 @@
       READ  ( numnam_cfg, namdyn_ldf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namdyn_ldf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namdyn_ldf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namdyn_ldf )
 
       IF(lwp) THEN                      ! Parameter print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LDF/ldftra.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LDF/ldftra.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/LDF/ldftra.F90	(revision 10968)
@@ -158,5 +158,5 @@
       READ  ( numnam_cfg, namtra_ldf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_ldf in configuration namelist', lwp )
-      IF(lwm) WRITE( numond, namtra_ldf )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namtra_ldf )
       !
       IF(lwp) THEN                      ! control print
@@ -517,5 +517,5 @@
       READ  ( numnam_cfg, namtra_eiv, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namtra_eiv in configuration namelist', lwp )
-      IF(lwm)  WRITE ( numond, namtra_eiv )
+      IF(lwm .AND. nprint > 2)  WRITE ( numond, namtra_eiv )
 
       IF(lwp) THEN                      ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/OBS/diaobs.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/OBS/diaobs.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/OBS/diaobs.F90	(revision 10968)
@@ -207,5 +207,5 @@
       READ  ( numnam_cfg, namobs, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namobs in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namobs )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namobs )
 
       IF( .NOT.ln_diaobs ) THEN
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/fldread.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/fldread.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/fldread.F90	(revision 10968)
@@ -195,5 +195,5 @@
                ENDIF
          END DO
-         IF( lwp ) CALL wgt_print()                ! control print
+         IF( lwp .AND. nprint > 1) CALL wgt_print()                ! control print
       ENDIF
       !                                            ! ====================================== !
@@ -298,5 +298,5 @@
             !
             IF( sd(jf)%ln_tint ) THEN              ! temporal interpolation
-               IF(lwp .AND. kt - nit000 <= 100 ) THEN 
+               IF(lwp .AND. nprint > 1 ) THEN 
                   clfmt = "('   fld_read: var ', a, ' kt = ', i8, ' (', f9.4,' days), Y/M/D = ', i4.4,'/', i2.2,'/', i2.2," //   &
                      &    "', records b/a: ', i6.4, '/', i6.4, ' (days ', f9.4,'/', f9.4, ')')"
@@ -310,5 +310,5 @@
                sd(jf)%fnow(:,:,:) = ztintb * sd(jf)%fdta(:,:,:,1) + ztinta * sd(jf)%fdta(:,:,:,2)
             ELSE   ! nothing to do...
-               IF(lwp .AND. kt - nit000 <= 100 ) THEN
+               IF(lwp .AND. nprint > 1 ) THEN
                   clfmt = "('   fld_read: var ', a, ' kt = ', i8,' (', f9.4,' days), Y/M/D = ', i4.4,'/', i2.2,'/', i2.2," //   &
                      &    "', record: ', i6.4, ' (days ', f9.4, ' <-> ', f9.4, ')')"
@@ -440,5 +440,5 @@
          !
          clfmt = "('   fld_init : time-interpolation for ', a, ' read previous record = ', i6, ' at time = ', f7.2, ' days')"
-         IF(lwp) WRITE(numout, clfmt) TRIM(sdjf%clvar), sdjf%nrec_a(1), REAL(sdjf%nrec_a(2),wp)/rday
+         IF(lwp .AND. nprint > 1) WRITE(numout, clfmt) TRIM(sdjf%clvar), sdjf%nrec_a(1), REAL(sdjf%nrec_a(2),wp)/rday
          !
       ENDIF
@@ -762,6 +762,6 @@
       ENDIF
 
-      IF(lwp) WRITE(numout,*) 'Dim size for ',        TRIM(clvar),' is ', ilendta
-      IF(lwp) WRITE(numout,*) 'Number of levels for ',TRIM(clvar),' is ', ipk
+      IF(lwp.AND. nprint > 1) WRITE(numout,*) 'Dim size for ',        TRIM(clvar),' is ', ilendta
+      IF(lwp.AND. nprint > 1) WRITE(numout,*) 'Number of levels for ',TRIM(clvar),' is ', ipk
       !
       SELECT CASE( ipk )
@@ -908,5 +908,5 @@
                      WRITE(ibstr,"(I10.10)") map%ptr(ib) 
                      CALL ctl_warn('fld_bdy_interp: U depths differ between grids at BDY point '//TRIM(ibstr)//' by more than 1%')
-                     IF(lwp) WRITE(*,*) 'DEPTHU', zh, sum(e3u_n(zij,zjj,:), mask=umask(zij,zjj,:)==1),  sum(umask(zij,zjj,:)), &
+                     IF(lwp .AND. nprint > 1) WRITE(*,*) 'DEPTHU', zh, sum(e3u_n(zij,zjj,:), mask=umask(zij,zjj,:)==1),  sum(umask(zij,zjj,:)), &
                        &                hu_n(zij,zjj), map%ptr(ib), ib, zij, zjj, narea-1  , &
                         &                dta_read(map%ptr(ib),1,:)
@@ -1174,5 +1174,5 @@
                      END DO
                      sd(ju)%rotn(jn) = .TRUE.               ! vector was rotated 
-                     IF( lwp .AND. kt == nit000 )   WRITE(numout,*)   &
+                     IF( lwp .AND. kt == nit000 .AND. nprint > 1)   WRITE(numout,*)   &
                         &   'fld_read: vector pair ('//TRIM(sd(ju)%clvar)//', '//TRIM(sd(iv)%clvar)//') rotated on to model grid'
                   ENDIF
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcapr.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcapr.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcapr.F90	(revision 10968)
@@ -76,5 +76,5 @@
       READ  ( numnam_cfg, namsbc_apr, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_apr in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_apr )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_apr )
       !
       ALLOCATE( sf_apr(1), STAT=ierror )           !* allocate and fill sf_sst (forcing structure) with sn_sst
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcblk.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcblk.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcblk.F90	(revision 10968)
@@ -188,5 +188,5 @@
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_blk in configuration namelist', lwp )
       !
-      IF(lwm) WRITE( numond, namsbc_blk )
+      IF(lwm .AND. nprint > 2) WRITE( numond, namsbc_blk )
       !
       !                             !** initialization of the chosen bulk formulae (+ check)
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbccpl.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbccpl.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbccpl.F90	(revision 10968)
@@ -271,5 +271,5 @@
       READ  ( numnam_cfg, namsbc_cpl, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_cpl in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_cpl )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_cpl )
       !
       IF(lwp) THEN                        ! control print
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcflx.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcflx.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcflx.F90	(revision 10968)
@@ -98,5 +98,5 @@
          READ  ( numnam_cfg, namsbc_flx, IOSTAT = ios, ERR = 902 )
 902      IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_flx in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_flx ) 
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_flx ) 
          !
          !                                         ! check: do we plan to use ln_dm2dc with non-daily forcing?
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcfwb.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcfwb.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcfwb.F90	(revision 10968)
@@ -187,5 +187,5 @@
             erp(:,:) = erp(:,:) + zerp_cor(:,:)
             !
-            IF( nprint == 1 .AND. lwp ) THEN                   ! control print
+            IF( nprint > 3 .AND. lwp ) THEN                   ! control print
                IF( z_fwf < 0._wp ) THEN
                   WRITE(numout,*)'   z_fwf < 0'
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcice_cice.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcice_cice.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcice_cice.F90	(revision 10968)
@@ -769,5 +769,5 @@
          READ  ( numnam_cfg, namsbc_cice, IOSTAT = ios, ERR = 902 )
 902      IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_cice in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_cice )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_cice )
 
          ! store namelist information in an array
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcice_if.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcice_if.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcice_if.F90	(revision 10968)
@@ -81,5 +81,5 @@
          READ  ( numnam_cfg, namsbc_iif, IOSTAT = ios, ERR = 902 )
 902      IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_iif in configuration namelist', lwp )
-         IF(lwm) WRITE ( numond, namsbc_iif )
+         IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_iif )
 
          ALLOCATE( sf_ice(1), STAT=ierror )
Index: NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcisf.F90
===================================================================
--- NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcisf.F90	(revision 10967)
+++ NEMO/branches/UKMO/NEMO_4.0_mirror_text_diagnostics/src/OCE/SBC/sbcisf.F90	(revision 10968)
@@ -206,5 +206,5 @@
          IF( ln_rstart .AND.    &                     ! Restart: read in restart file
             &   iom_varid( numror, 'fwf_isf_b', ldstop = .FALSE. ) > 0 ) THEN
-            IF(lwp) WRITE(numout,*) '          nit000-1 isf tracer content forcing fields read in the restart file'
+            IF(lwp .AND. nprint > 0) WRITE(numout,*) '          nit000-1 isf tracer content forcing fields read in the restart file'
             CALL iom_get( numror, jpdom_autoglo, 'fwf_isf_b', fwfisf_b(:,:)         , ldxios = lrxios )   ! before salt content isf_tsc trend
             CALL iom_get( numror, jpdom_autoglo, 'isf_sc_b' , risf_tsc_b(:,:,jp_sal), ldxios = lrxios )   ! before salt content isf_tsc trend
@@ -217,8 +217,8 @@
       ! 
       IF( lrst_oce ) THEN
-         IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc : isf surface tracer content forcing fields written in ocean restart file ',   &
+         IF(lwp .AND. nprint > 0) WRITE(numout,*)
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) 'sbc : isf surface tracer content forcing fields written in ocean restart file ',   &
             &                    'at it= ', kt,' date= ', ndastp
-         IF(lwp) WRITE(numout,*) '~~~~'
+         IF(lwp .AND. nprint > 0) WRITE(numout,*) '~~~~'
          IF( lwxios ) CALL iom_swap(      cwxios_context          )
          CALL iom_rstput( kt, nitrst, numrow, 'fwf_isf_b', fwfisf(:,:)         , ldxios = lwxios )
@@ -283,5 +283,5 @@
       READ  ( numnam_cfg, namsbc_isf, IOSTAT = ios, ERR = 902 )
 902   IF( ios >  0 )   CALL ctl_nam ( ios , 'namsbc_isf in configuration namelist', lwp )
-      IF(lwm) WRITE ( numond, namsbc_isf )
+      IF(lwm .AND. nprint > 2) WRITE ( numond, namsbc_isf )
 
       IF(lwp) WRITE(numout,*)
